/*	Subtitler - Sub Station Alpha v2.x/4.x subtitling plugin for VirtualDub
	Copyright (C) 2000 Avery Lee, All Rights Reserved.

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	-----------------

	AntialiasMask.h: class def for AntialiasMask class
*/

#ifndef f_SUBTITLER_ANTIALIASMASK_H
#define f_SUBTITLER_ANTIALIASMASK_H

class AntialiasMask {
private:
	int w, h;
	unsigned char *pBits;

public:
	AntialiasMask(int w, int h);
	~AntialiasMask();

	void CreateAlpha(unsigned char *pBits, int pitch, int xborder, int yborder, bool fBackground, unsigned char *pGammaRamp);
	void Apply(const VBitmap *vbm, int x, int y, int w, int h, long back, long *switchpts);
	void ApplyShadow(const VBitmap *vbm, int x, int y, int w, int h, long back);
};

#endif
