#ifndef registry_h
#define registry_h

class registryClass 
{
public:
			registryClass();
			~registryClass();

	BOOL	openReg(char *programName);
	BOOL	openCreateReg(char *programName);
	void	closeReg();
	void	DeleteRegVal(char *programName);

	void	setRegBool(char *keyStr , BOOL val);
	void	setRegByte(char *keyStr , BYTE val);
	void	setRegWord(char *keyStr , WORD val);
	void	setRegDword(char *keyStr , DWORD val);
	void	setRegFloat(char *keyStr , float val);
	void	setRegStr(char *keyStr , char *valStr);
	void	setRegValN(char *keyStr , BYTE *addr,  int size);

	BOOL	getSetRegBool(char *keyStr, BOOL var);
	BYTE	getSetRegByte(char *keyStr, BYTE var);
	WORD	getSetRegWord(char *keyStr, WORD var);
	DWORD	getSetRegDword(char *keyStr, DWORD var);
	float	getSetRegFloat(char *keyStr, float var);
	int		getSetRegStr(char *keyStr, char *tempString, char *dest, int maxLen);
	int		getSetRegValN(char *keyStr, BYTE *tempAddr, BYTE *addr, int size);

	HKEY	regKey;
};
#endif